# Module `aioimmich.users`

aioimmich users api.

## Sub-modules

`aioimmich.users.models`

  aioimmich server models.

## Classes

`class ImmichUsers (api: ImmichApi)`
  Expand source code

      class ImmichUsers(ImmichSubApi):
          """Immich users api."""

          async def async_get_my_user(self) -> ImmichUserObject:
              """Get my own user info.

              Returns:
                  my own user info as `ImmichUserObject`
              """
              result = await self.api.async_do_request("users/me")
              assert isinstance(result, dict)
              return ImmichUserObject.from_dict(result)

  Immich users api.

  Immich sub api init.

  ### Ancestors

  - ImmichSubApi

  ### Methods

  `async def async_get_my_user(self) ‑> ImmichUserObject`
    Expand source code

        async def async_get_my_user(self) -> ImmichUserObject:
            """Get my own user info.

            Returns:
                my own user info as `ImmichUserObject`
            """
            result = await self.api.async_do_request("users/me")
            assert isinstance(result, dict)
            return ImmichUserObject.from_dict(result)

    Get my own user info.

    ## Returns

    my own user info as `ImmichUserObject`